Bug 15271 - "%s's password" string
Summary: "%s's password" string
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: usermode   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-03 17:15 UTC by Christian Rose
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 18:24:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Rose 2000-08-03 17:15:05 UTC
#: ../userhelper.c:197
#, c-format
msgid "%s's password"

This doesn't look good in English, and it gets even worse when translating
into Swedish.
Swedish doesn't use an added apostrophe and an s, but just an added s to
imply ownership.
So "menthos's password" would be "menthoss lvsenord" in Swedish.

Could there please be some logic added to detect if the username ends in
an s or z, and then two different messages used?

This applies to the message
"In order to run \"%s\" with %s's privileges, additional information is"
"required."
too, as it has the same type of "%s's" problem.

Comment 1 Nalin Dahyabhai 2000-08-03 18:24:50 UTC
This'll be changed to "password for %s" as soon as I get the installation of the
.po files cleared up.

Comment 2 Nalin Dahyabhai 2000-08-04 06:13:35 UTC
1.27-3 is now available at http://people.redhat.com/nalin/test/.


Note You need to log in before you can comment on or make changes to this bug.